/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: flex;
  flex-flow: column;
}

.file-drop {
  flex: 1 1 100%;
  margin: 0.25em 0 0.5em 0;
}

.file-drop--title {
  font-weight: 600;
}

.file-drop--control {
  font-size: small;
  width: 100%;
  box-sizing: border-box;

  &:first-of-type {
    padding-top: 0.05em;
  }

  &:last-of-type {
    padding-bottom: 0.05em;
  }
}

.attachments--select-file-button {
  margin-left: auto;
}

.attachments--select-file-button--icon {
  height: initial;
  width: initial;
  font-size: 1em;
}
